Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
tool_id = "0a425650-60ac-4fd4-9554-5579844ce3e5"
payload = {
"name": "Tool 1",
"type": "apiRequest",
"url": "https://www.google.com",
"description": "hehe",
"method": "GET",
"body": {
"type": "object",
"properties": {
"new": {
"type": "string",
"description": "2"
}
}
},
"headers": {
"type": "object",
"properties": {
"new": {
"type": "string",
"description": "2"
}
}
},
"timeoutSeconds": 20
}
response = client.tools.update(tool_id, **payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/tool/update/0a425650-60ac-4fd4-9554-5579844ce3e5 \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"name": "Tool 1",
"type": "apiRequest",
"url": "https://www.google.com",
"description": "hehe",
"method": "GET",
"body": {
"type": "object",
"properties": {
"new": {
"type": "string",
"description": "2"
}
}
},
"headers": {
"type": "object",
"properties": {
"new": {
"type": "string",
"description": "2"
}
}
},
"timeoutSeconds": 20
}'{
"_id": "69f98c2185578cdac8d33015",
"tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e8",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRv",
"type": "apiRequest",
"createdAt": "2026-05-05T06:20:17.548000",
"updatedAt": "2026-05-05T07:58:28.020000",
"method": "GET",
"url": "https://www.google.com",
"name": "Tool 1",
"description": "hehe",
"timeoutSeconds": 20,
"body": {},
"headers": {},
"messages": [],
"backoffPlan": {
"type": "fixed",
"maxRetries": 0,
"baseDelaySeconds": 1,
"excludedStatusCodes": [
400,
401,
403,
404
]
},
"variableExtractionPlan": null,
"rejectionPlan": null
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Tools
Update tool
Updates fields on an existing tool.
POST
/
tool
/
update
/
{tool_id}
Python
from superu import SuperU
client = SuperU("YOUR_SUPERU_API_KEY")
tool_id = "0a425650-60ac-4fd4-9554-5579844ce3e5"
payload = {
"name": "Tool 1",
"type": "apiRequest",
"url": "https://www.google.com",
"description": "hehe",
"method": "GET",
"body": {
"type": "object",
"properties": {
"new": {
"type": "string",
"description": "2"
}
}
},
"headers": {
"type": "object",
"properties": {
"new": {
"type": "string",
"description": "2"
}
}
},
"timeoutSeconds": 20
}
response = client.tools.update(tool_id, **payload)
print(response)curl --request POST \\
--url https://voip-middlware.superu.ai/tool/update/0a425650-60ac-4fd4-9554-5579844ce3e5 \\
--header 'superU-Api-Key: YOUR_SUPERU_API_KEY' \\
--data '{
"name": "Tool 1",
"type": "apiRequest",
"url": "https://www.google.com",
"description": "hehe",
"method": "GET",
"body": {
"type": "object",
"properties": {
"new": {
"type": "string",
"description": "2"
}
}
},
"headers": {
"type": "object",
"properties": {
"new": {
"type": "string",
"description": "2"
}
}
},
"timeoutSeconds": 20
}'{
"_id": "69f98c2185578cdac8d33015",
"tool_uuid": "0a425650-60ac-4fd4-9554-5579844ce3e8",
"user_id": "user_32UrXxvrVxWSYp1dGLsPdElDtRv",
"type": "apiRequest",
"createdAt": "2026-05-05T06:20:17.548000",
"updatedAt": "2026-05-05T07:58:28.020000",
"method": "GET",
"url": "https://www.google.com",
"name": "Tool 1",
"description": "hehe",
"timeoutSeconds": 20,
"body": {},
"headers": {},
"messages": [],
"backoffPlan": {
"type": "fixed",
"maxRetries": 0,
"baseDelaySeconds": 1,
"excludedStatusCodes": [
400,
401,
403,
404
]
},
"variableExtractionPlan": null,
"rejectionPlan": null
}{
"status": "error",
"code": "BAD_REQUEST",
"message": "Request validation failed."
}{
"status": "error",
"code": "UNAUTHORIZED",
"message": "Invalid or missing superU-Api-Key."
}{
"status": "error",
"code": "NOT_FOUND",
"message": "Resource not found."
}{
"status": "error",
"code": "INTERNAL_SERVER_ERROR",
"message": "An unexpected server error occurred."
}{
"status": "error",
"code": "NOT_IMPLEMENTED",
"message": "This endpoint is not implemented for your workspace."
}Authorizations
Your SuperU API key.
Path Parameters
Tool ID
Example:
"0a425650-60ac-4fd4-9554-5579844ce3e5"
Body
application/json
Request body for Update tool.
Tool Update Request schema.
Name value.
Example:
"Tool 1"
Tool type.
Example:
"apiRequest"
Request URL.
Example:
"https://www.google.com"
Description value.
Example:
"hehe"
HTTP method.
Example:
"GET"
Request body schema.
Example:
{ "key": "value" }
Request header schema.
Example:
{ "key": "value" }
Request timeout in seconds.
Example:
20

